Subject: Re: bug#76765: 30.1; macOS dictation used to work with Emacs < 30.1

From: Ship Mints <[email-masked]>
Date: Tue, 11 Mar 2025 09:18:00 -0400

On Wed, Mar 5, 2025 at 2:34 PM Charles Choi <[email-masked]> wrote:

> --text follows this line--
>
> *** Title
> macOS dictation used to work with Emacs < 30.1
>
> *** Description
> In prior releases of Emacs for macOS, the native macOS dictation feature
> was available. The latest 30.1 release however does not provide this
> feature.
>
> *** Environment
> GNU Emacs 30.1 (build 2, aarch64-apple-darwin24.3.0, NS appkit-2575.40
> Version 15.3.1 (Build 24D70)) of 2025-02-27
> Darwin bingsu.local 24.3.0 Darwin Kernel Version 24.3.0: Thu Jan  2
> 20:24:16 PST 2025; root:xnu-11215.81.4~3/RELEASE_ARM64_T6000 arm64 arm
> Darwin
>

The discussion with a few users who have the same experience can be seen
here
https://www.reddit.com/r/emacs/comments/1j4639s/osx_dictation_fails_with_emacs_301/

I have a feeling they were using the Mitsuharu Yamamoto "emacs-mac"
implementation and not GNU Emacs (looks like JD Smith is rejuvenating
emacs-mac with a 30.1 merge).  I'm still awaiting more precise information
on which builds were being used and I pinged them again, today.

-Stephane